Unable to install Vanguard on Plesk managed server

Closed
Vanguard - Advanced PHP Login and User Management Vanguard - Advanced PHP Login and User Management May 04, 2018
Login to reply
Milos Stojanovic Support Agent
5 months ago

Great! 

Btw, I'll make this ticket public in case someone has similar issues. Feel free to update your comments if you think that it has some sensitive data. :)

Regards!

Cristian Ioan Alexandru
5 months ago

Okay , working

Regards

Milos Stojanovic Support Agent
5 months ago

Hey Cristian,

As I said,  the value in that example should be replaced with "/opt/plesk/php/7.2/bin/". So, you should use /opt/plesk/php/7.2/bin instead of /var/lib/php/session.

If possible, can you provide the credentials so I can somehow login to your Plesk panel and try to set things up and install Vanguard?


Cristian Ioan Alexandru
5 months ago

I did as an example

http://prntscr.com/jdo5pw

http://prntscr.com/jdo60x

I tried all two codes + restart

Does not work

Milos Stojanovic Support Agent
5 months ago

Hey,

From what I can see the issue is related to the open_basedir restrictions on your server. 

It looks like it is a common issue on Plesk managed servers. Can you try to modify the value of open_basedir like it is explained here: https://support.plesk.com/hc/en-us/articles/115000278993-A-website-hosted-in-Plesk-is-not-accessible-open-basedir-restriction-in-effect

The only difference you should make is that you should add "/opt/plesk/php/7.2/bin/" to your open_basepath, instead of "/var/lib/php/session" that is being added in the example on the link above.

Let me know if it works.

Cristian Ioan Alexandru
5 months ago

hi I'm sorry, but I can not understand why I can not install

I have a vps with the latest version of plesk,


If it is possible to urgently give a solution

Regards